
RESOLVER(5)               FreeBSD File Formats Manual              RESOLVER(5)

NNAAMMEE
     rreessoollvveerr - resolver configuration file

SSYYNNOOPPSSIISS
     _/_e_t_c_/_r_e_s_o_l_v_._c_o_n_f

DDEESSCCRRIIPPTTIIOONN
     The rreessoollvveerr is a set of routines in the C library (resolve(3))  that
     provide access to the Internet Domain Name System.  The rreessoollvveerr configu-
     ration file contains information that is read by the rreessoollvveerr routines
     the first time they are invoked by a process.  The file is designed to be
     human readable and contains a list of keywords with values that provide
     various types of rreessoollvveerr information.

     On a normally configured system, this file should not be necessary.  The
     only name server to be queried will be on the local machine, the domain
     name is determined from the host name, and the domain search path is con-
     structed from the domain name.

     The different configuration directives are:

     nameserver
              Internet address (in dot notation) of a name server that the
              rreessoollvveerr should query.  Up to MAXNS (see _<_r_e_s_o_l_v_._h_>) name
              servers may be listed, one per keyword.  If there are multiple
              servers, the rreessoollvveerr library queries them in the order listed.
              If no nameserver entries are present, the default is to use the
              name server on the local machine.  (The algorithm used is to try
              a name server, and if the query times out, try the next, until
              out of name servers, then repeat trying all the name servers un-
              til a maximum number of retries are made).

     domain   Local domain name.  Most queries for names within this domain
              can use short names relative to the local domain.  If no domain
              entry is present, the domain is determined from the local host
              name returned by gethostname(2);  the domain part is taken to be
              everything after the first `.'. Finally, if the host name does
              not contain a domain part, the root domain is assumed.

     search   Search list for host-name lookup.  The search list is normally
              determined from the local domain name; by default, it contains
              only the local domain name.  This may be changed by listing the
              desired domain search path following the search keyword with
              spaces or tabs separating the names.  Most rreessoollvveerr queries will
              be attempted using each component of the search path in turn un-
              til a match is found.  Note that this process may be slow and
              will generate a lot of network traffic if the servers for the
              listed domains are not local, and that queries will time out if
              no server is available for one of the domains.

              The search list is currently limited to six domains with a total
              of 256 characters.

     sortlist
              Allows addresses returned by gethostbyname to be sorted.  A
              sortlist is specified by IP address netmask pairs. The netmask
              is optional and defaults to the natural netmask of the net. The
              IP address and optional network pairs are separated by slashes.
              Up to 10 pairs may be specified.  For example:

                    sortlist 130.155.160.0/255.255.240.0 130.155.0.0


     options  Allows certain internal rreessoollvveerr variables to be modified.  The
              syntax is
                    options _o_p_t_i_o_n _._._.
              where _o_p_t_i_o_n is one of the following:

              debug     sets RES_DEBUG in ___r_e_s_._o_p_t_i_o_n_s _.

              ndots:_n   sets a threshold for the number of dots which must ap-
                        pear in a name given to rreess__qquueerryy() (see resolver(3))
                        before an _i_n_i_t_i_a_l _a_b_s_o_l_u_t_e _q_u_e_r_y will be made.  The
                        default for _n is ``1'', meaning that if there are _a_n_y
                        dots in a name, the name will be tried first as an ab-
                        solute name before any _s_e_a_r_c_h _l_i_s_t elements are ap-
                        pended to it.

              timeout:_n
                        sets the amount of time the resolver will wait for a
                        response from a remote name server before retrying the
                        query via a different name server.  Measured in sec-
                        onds, the default is RES_TIMEOUT (see _<_r_e_s_o_l_v_._h_> _)_.

              attempts:_n
                        sets the number of times the resolver will send a
                        query to its name servers before giving up and return-
                        ing an error to the calling application.  The default
                        is RES_DFLRETRY (see _<_r_e_s_o_l_v_._h_> _)_.

              rotate    sets RES_ROTATE in ___r_e_s_._o_p_t_i_o_n_s _, which causes round
                        robin selection of nameservers from among those list-
                        ed.  This has the effect of spreading the query load
                        among all listed servers, rather than having all
                        clients try the first listed server first every time.

              no-check-names
                        sets RES_NOCHECKNAME in ___r_e_s_._o_p_t_i_o_n_s _, which disables
                        the modern BIND checking of incoming host names and
                        mail names for invalid characters such as underscore
                        (_), non-ASCII, or control characters.

              inet6     sets RES_USE_INET6 in ___r_e_s_._o_p_t_i_o_n_s _.  This has the ef-
                        fect of trying a AAAA query before an A query inside
                        the _g_e_t_h_o_s_t_b_y_n_a_m_e function, and of mapping IPv4 re-
                        sponses in IPv6 ``tunnelled form'' if no AAAA records
                        are found but an A record set exists.

     The domain and search keywords are mutually exclusive.  If more than one
     instance of these keywords is present, the last instance wins.

     The search keyword of a system's _r_e_s_o_l_v_._c_o_n_f file can be overridden on a
     per-process basis by setting the environment variable ``LOCALDOMAIN'' to
     a space-separated list of search domains.

     The options keyword of a system's _r_e_s_o_l_v_._c_o_n_f file can be amended on a
     per-process basis by setting the environment variable ``RES_OPTIONS to a
     space-separated list of'' rreessoollvveerr options as explained above under
     options.

     The keyword and value must appear on a single line, and the keyword
     (e.g., nameserver) must start the line.  The value follows the keyword,
     separated by white space.

FFIILLEESS
     _/_e_t_c_/_r_e_s_o_l_v_._c_o_n_f _<_r_e_s_o_l_v_._h_>

SSEEEE AALLSSOO
     gethostbyname(3),  hostname(7),  named(8),  resolver(3),  resolver(5).
     ``Name Server Operations Guide for BBIINNDD''

4th Berkeley Distribution      November 11, 1993                             3
